# LRS Wiki

LRS [wiki](wiki.md), also Less Retarded Wiki or LRW (motto: *Love everyone, help [selflessly](selflessness.md).*), is a [public domain](public_domain.md) ([CC0](cc0.md)) non-commercial anti[capitalist](capitalism.md) (precisely [anarcho pacifist](anpac.md)) [encyclopedia](encyclopedia.md) focused on truly good, [minimalist](minimalism.md) [technology](tech.md), mainly [computer](computer.md) [software](sw.md) -- so called [less retarded software](lrs.md) (LRS) which should serve the people at large -- while also exploring related topics such as the relationship between technology and society, promoting so called [less retarded society](less_retarded_society.md). LRS wiki is a source of high quality [truth](truth.md) and the voice of reason in the [age of lies and brainwashing](21st_century.md) -- testimony to its seriousness is the fact that all LRS wiki editors use and are signed with their real names under every edit, and in fact the editors despise any kind of [privacy](privacy.md) in itself. The basic motivation and driving force behind LRS and its wiki is **unconditional [love](love.md) of all life**, and the goal of LRS is to move towards creating a truly useful, [selfless](selflessness.md) technology that maximally helps all living beings as much as possible -- it does so while at the same time developing its own [culture](culture.md), one that's much more sane and compatible with the desired goal, unlike the [toxic](toxic.md) [modern](modern.md) [fascist](fascism.md) culture of the [21st century](21st_century.md). As such the wiki rejects for example [capitalist software](capitalist_software.md) (and [capitalism](capitalism.md) itself), [bloated](bloat.md) software, [intellectual property](intellectual_property.md) laws ([copyright](copyright.md), [patents](patent.md), ...) [censorship](censorship.md), [pseudoleftism](pseudoleft.md) ([political correctness](political_correctness.md), [cancel culture](cancel_culture.md), [COC](coc.md)s ...) etc. It embraces [free as in freedom](free_software.md), simple technology, i.e. [Unix philosophy](unix_philosophy.md), [suckless](suckless.md) software, [anarcho pacifism](anpac.md), [racial realism](racial_realism.md), [free speech](free_speech.md), [veganism](veganism.md) etc. As a work promoting pure [good](good.md) in a [time](21st_century.md) of universal rule of [evil](evil.md) it is greatly controversial, misunderstood and often met with hostility. However it already gained at least a few enlightened followers. Currently the wiki can be accessed on the [web](www.md) at http://www.tastyfish.cz/lrs/main.html, as well as on [gopher](gopher.md), however it's more than a mere website -- the work can very easily be exported in many formats, including [pdf](pdf.md), [txt](txt.md) and so on.

Alternatively the wiki may be seen as the greatest Internet rant ever.

The wiki is not funded by anyone, it doesn't have to be funded because it's not a capitalist project and it costs literally zero [monies](money.md) to make, it is not even a non-profit, so it doesn't have to obey by any laws or suck bureaucratic microdicks, it is also not affiliated with anyone, its author has no career to fear for, he has no friends, family, community or collaborators, no material desires, no fear of demonetization/demonization, bans, [cancelling](cancel_culture.md), jail or [death](death.md), so he can write truth without being limited by anything.

There are no [furry](furry.md), [anime](anime.md) or [loli](loli.md) mascots. In fact LRS has no mascot at all. This is another undeniably huge advantage against every other existing wiki and only solidifies the wiki's superiority over every other literary work ever produced in [history](history.md).

LRS wiki was started by [drummyfish](drummyfish.md) on November 3 2021 as a way of recording and sharing his views, experience and knowledge about technology, as well as for creating a completely public domain educational resource and account of current society for future generations. It was forked from so called "based wiki" at a point when all the content on it had been made by drummyfish, so currently LRS wiki is 100% drummyfish's own, original work; over time it turned into a sort of a snapshot of drummyfish's brain and so the wiki doesn't allow contributions (but allows and encourages [forks](fork.md), blatant copy pastes of anything from it to anywhere else etc.). By early 2025 the total size of all texts on the wiki was over 5 MB, it reached over 600 articles and 1000 commits.

Some distinguishing features of LRS wiki that put it above other wikis include:

- Everything is absolutely and completely [public domain](public_domain.md) under CC0 and there appears nothing under "[fair use](fair_use.md)" so you can blindly copy-paste any piece of text or code and do absolutely whatever you want with it, without any obligation to give credit or maintain back links or any sort of similar tormenting [bullshit](bullshit.md). Unlike Wikipedia, LRS wiki a FULLY [free cultural](free_culture.md) work, i.e. there are no embedded "fair use" pieces of proprietary content.
- There are no images, only [ASCII art](ascii_art.md), making it very small in size, free and readable on devices that can only display plain text.
- Use of [Unicode](unicode.md) is minimized to absolutely bare minimum so you'll probably never encounter problems related to encoding -- again, anything that can display ASCII will be able to read most of the wiki.
- There is absolutely no [moderation](moderation.md) ([censorship](censorship.md)), [toxicity](toxic.md) or [code of censorship](coc.md) and the wiki doesn't adhere to cultural standards of [21st century](21st_century.md) -- for example it never uses "gender neutral" pronouns -- it rather tries to focus on real issues and reflect truth. The word [nigger](nigger.md) is allowed and appears often.
- There are no [SJWs](sjw.md), [pseudoleftist](pseudoleft.md), [rightist](right.md) or otherwise [fascist](fascism.md) editors.
- Articles try to be written somewhat well, aiming to actually help most people rather than be a gigantic stinky dump of every information ever discovered about the subject bashed together by random passerbys.
- Articles often contain simple runnable code examples, mostly in plain [C](c.md) aligned with the LRS philosophy, which can normally just be copy pasted into a file and compiled without additional [libraries](library.md).
- There are no [ads](marketing.md) of course and there will never be a single one, it is impossible for LRS to contain any ad just as it is impossible for human to breathe water.
- It is not a website, website is just one of many possible forms of the wiki -- the wiki is a literary work independent of any medium and so exists in other formats such as plaintext on [gopher](gopher.md), one long pdf document, one long HTML document, collection of markdown files etc.
- Technology "powering" the wiki is also LRS -- it uses only Unix [shell scripts](shell_script.md) that don't surpass 400 [lines of code](loc.md). No mediawiki, fandom or similar insanity.
- plus much more :)

Over time, having been written solely by drummyfish without much self censorship and "language filtering", the wiki also came close to being something akin to drummyfish's raw brain dump with all the thoughts and mood streams averaged over the years -- it reflects relatively faithfully drummyfish's internal thinking processes (for example you'll come across anticapitalist rants everywhere as these annoy drummyfish's mind at all times, whatever he's thinking about) -- this bears a risk of inducing explosive vomiting but it's also a kind of valuable experiment that some even apparently like to observe, so it stays up. No one is forced to read it and CC0 ensures anyone can hopefully shape it into anything better, if that even makes any sense.

It's also possible to see the wiki as a (somewhat dirty but constantly improving) collection of drummyfish's cheatsheets, links, code snippets, [jokes](jokes.md), attempts at [ASCII art](ascii_art.md), vents etcetc. More than a digital garden it's rather a digital swamp, a pile of composting nightmares, maybe someone could even go as far as calling it a sort of retarded [art](art.md) that mixes together various subjects: technical, cultural, personal, objective and subjective truths, [beautiful](beauty.md) and ugly things. Others might view it as a shitpost or [meme](meme.md) taken too far. It's just its own thing that resists simple categorization.

To a degree the wiki was inspired by works of similar nature, for example it resembles the earliest (plain [HTML](html.md)) versions of [Wikipedia](wikipedia.md), also perhaps [wikiwikiweb](wikiwikiweb.md), [Jargon file](jargon_file.md) etc. In tone and political incorrectness it is more like [Encyclopedia Dramatica](dramatica.md), but unlike Dramatica LRS is a "serious" project, albeit with humor and [jokes](jokes.md) here and there.

{ I also discovered later on that there used to exist similar projects in the past, e.g. https://shii.bibanon.org/shii.org/knows/Everything_Shii_Knows.html. Apparently there once was a flood of personal wikis going by the *Everything X Knows* naming scheme and it's very funny this completely missed me because I reinvented the thing without knowing about it. So this might as well be named *Everything Drummyfish Knows*. ~drummyfish }

**Technology "powering" LRS wiki** is plain and [simple](kiss.md), it uses no [frameworks](framework.md) or static site generators, the wiki is currently written as a collection of [Markdown](markdown.md) files that use a few [shell scripts](shell_script.md) that convert the whole thing to [HTML](html.md) for the web (and can also produce txt and pdf version), i.e. it doesn't use any wiki engine or bloated static site generators.

## See Also

- [LRS wiki stats](wiki_stats.md)
- [LRS wiki style guide](wiki_style.md)
- [LRS wiki authors](wiki_authors.md)
- [LRS wiki "rights"](wiki_rights.md)
- [LRS wiki post mortem](wiki_post_mortem.md)
- [LRS](lrs.md)
- [less retarded society](less_retarded_society.md)
- [FAQ](faq.md)
- [encyclopedia dramatica](dramatica.md)